Bug 610772 - QMF: c++ console does not set agent name attribute in new object id's
Summary: QMF: c++ console does not set agent name attribute in new object id's
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf   
(Show other bugs)
Version: beta
Hardware: All
OS: Linux
low
high
Target Milestone: 1.3
: ---
Assignee: Ken Giusti
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-02 12:16 UTC by Ken Giusti
Modified: 2011-08-12 16:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-22 11:18:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Giusti 2010-07-02 12:16:41 UTC
Description of problem:

When agent::addObject() is called, the agent creates and returns a new object id.  This object id contains the name of the agent (as a string).  Currently, this name is not being set - it is left blank.

Version-Release number of selected component (if applicable):
All.

How reproducible:
100%


Steps to Reproduce:
1. call: new_oid = agent->addObject(mgmtObject, name);
2. call: new_oid.getAgentName() --> returns ""

  
Actual results:
getAgentName() returns ""

Expected results:
getAgentName() should return agent name as set by agent->setName()


Additional info:


Note You need to log in before you can comment on or make changes to this bug.